Last Comment Bug 551827 - Option to delete manually marked Junk is in wrong place
: Option to delete manually marked Junk is in wrong place
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Account Manager (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: Thunderbird 18.0
Assigned To: :aceman
:
Mentors:
Depends on: 718139
Blocks: 352428
  Show dependency treegraph
 
Reported: 2010-03-11 15:55 PST by tomm174
Modified: 2012-09-19 17:17 PDT (History)
9 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (3.90 KB, patch)
2012-08-28 14:39 PDT, :aceman
iann_bugzilla: review+
bwinton: ui‑review+
Details | Diff | Splinter Review
patch v2 (3.91 KB, patch)
2012-09-12 10:52 PDT, :aceman
mconley: review+
Details | Diff | Splinter Review

Description tomm174 2010-03-11 15:55:46 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-GB; rv:1.9.1.8) Gecko/20100202 Firefox/3.5.8
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-GB; rv:1.9.1.8) 

There seems no logic to locating the option to automatically delete when a mail is marked as Junk in
Tools > Options > Security > Junk > 'When I mark messages as junk: Move them to
the account's "Junk" folder

I can only guess that this got located in @Security' because it is a global rather than a per-account setting.  
This does not seem a good reason to separate (I nearly said 'hide') these options in a different place from the rest of the Junk settings.

There would be room for a 'Global settings' area on the junk settings section of individual accounts. This would be more logical.

Reproducible: Always

Steps to Reproduce:
1/ Try to set Tbird to delete mails when I mark them as Junk
2/ Looking in the account's Junk settings
3/ "Where the hell has that setting gone"
4/ Google 
5/ Curse
6/ Google some more 
Actual Results:  
Junk mail settings are separated for no clearly understandable reason

Expected Results:  
All junk mail settings should be together
Comment 1 :aceman 2012-04-09 11:16:14 PDT
Similar to bug 360891, I'll look if some link/button can be made from account manager to the global preferences.
Comment 2 :aceman 2012-06-09 06:23:46 PDT
Bug 718139 has infrastructure to allow opening a specific tab in the Preferences dialog. That can be used here.
Comment 3 Vincent (caméléon) 2012-07-28 23:10:00 PDT
Maybe the work in this bug may be a good occasion to ask if it is necessary to add per account settings for "Do not mark mail as junk if the sender is in...".

I really don't see any case were someone would like to have per account settings for this.

And we may also have to ask if it is really needed to differentiate this setting per address books. Maybe simply something like "Do not mark mail as junk if the sender is in one of my address books" would be sufficient for 99% of our users.

Would you like me to create new bug if you think it could be considered?
Comment 4 Worcester12345 2012-07-29 09:05:24 PDT
See also:
Bug 323159 - Make obvious that "Junk mail log" is only for the "adaptive junk mail control" ("Trust junk mail headers set by:" should be consistent in UI and log location/access)
Comment 5 :aceman 2012-07-29 12:52:15 PDT
Bug 323159 is fixed since TB14 so what did you mean with referencing it?
Comment 6 Worcester12345 2012-07-29 14:27:37 PDT
(In reply to :aceman from comment #5)
> Bug 323159 is fixed since TB14 so what did you mean with referencing it?

Both bugs seem indicative of a larger problem with how to deal with junk controls. Maybe if whoever is working on this one sees that one, they might be able to coordinate, since this whole shootin' match seems pretty disjointed otherwise. Just trying to help here as a "tester". Thanks.
Comment 7 Wayne Mery (:wsmwk, NI for questions) 2012-08-03 05:46:19 PDT
aceman, bug 482648 may be informative
Comment 8 :aceman 2012-08-03 05:49:02 PDT
Surely, but too hard for me.
Comment 9 :aceman 2012-08-28 14:39:55 PDT
Created attachment 656217 [details] [diff] [review]
patch

Bwinton please check if the space between the button from the item above it is fine and also if the position of the button is OK. I find it a bit ugly but can't think of a better version now.

Ian, please check if this opens the proper tab in Seamonkey.
Comment 10 Ian Neal 2012-09-03 15:17:26 PDT
Comment on attachment 656217 [details] [diff] [review]
patch

Is there a similar bug for "Composition & Addressing"?
Comment 11 :aceman 2012-09-03 23:19:39 PDT
I am not aware of any. But if you find/file one I'd be glad to fix it :)
Comment 12 Ian Neal 2012-09-05 01:41:18 PDT
(In reply to :aceman from comment #11)
> I am not aware of any. But if you find/file one I'd be glad to fix it :)

Bug 788429 created.
Comment 13 Blake Winton (:bwinton) (:☕️) 2012-09-12 10:12:00 PDT
Comment on attachment 656217 [details] [diff] [review]
patch

>+++ b/mailnews/base/prefs/content/am-junk.xul
>@@ -218,10 +218,19 @@
>+    <separator/>
>+
>+    <hbox pack="start">
>+      <button id="globalJunkPrefsLink"
>+              label="&globalJunkPrefs.label;"
>+              accesskey="&globalJunkPrefs.accesskey;"
>+              oncommand="showGlobalJunkPrefs();"/>
>+    </hbox>
>+

I feel that this button is a little further down than I would like.  (Comparing it to the "Manage Identities" button, it's almost twice as far down.)  It looks a little close without the separator, though.  Perhaps have a thin separator instead?  Yeah, that looks nicer, and more consistent…

ui-r=me with the separator changed to '<separator class="thin"/>'.

Thanks,
Blake.
Comment 14 :aceman 2012-09-12 10:52:57 PDT
Created attachment 660512 [details] [diff] [review]
patch v2

Thanks, no problem.
Comment 15 Mike Conley (:mconley) - (Needinfo me!) 2012-09-19 10:31:00 PDT
Comment on attachment 660512 [details] [diff] [review]
patch v2

Review of attachment 660512 [details] [diff] [review]:
-----------------------------------------------------------------

Code looks good to me. Thanks, aceman!
Comment 16 Ryan VanderMeulen [:RyanVM] 2012-09-19 17:17:05 PDT
https://hg.mozilla.org/comm-central/rev/2db3eae10e3d

Note You need to log in before you can comment on or make changes to this bug.